<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	<!-- 
		internal css - styles can be applid to multiple elements with the same tag or as they are selected.
			this can only affect the element where the internal css is added.
	 -->
	<!-- 
		external css is the best way/practice of implementing stylings.
	 -->
	<link rel="stylesheet" type="text/css" href="./style.css">
<!-- 	<style type="text/css">
		h1	{
			color: pink;
			background-color: gray;
		}
	</style>
</head> -->
<body>
	<!-- 
		style attribute - changes the styling properties of an element. This method is called inline styling. <tag style="property: value;"> 
			value of style attribute - properties of the element; values before the colon are the properties. the values after colonare the values to be assigned to the properties.
			
			multiple properties can be assigned but it can be bulky and erratic.

			inline style is exclusive to the tag to which it is attached; given more priority over internal style. properties set byu internal css that overlaps with the properties set by inline style are nullified.

		Priority: inline>internal>external
	inline sample:
	<h1 style="color: red; font-size: 100px;">Hello World!</h1>
	-->
	<!-- nav bar -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<!-- end of nav bar -->
	<h1>Hello World!</h1>

	<section id="landing">
	
		<h2>Welcome to Zuitt!</h2>
	
		<h3 style="letter-spacing: 30px;" id="zuitt-motto" class="offering-item">Opportunities for Everyone, Everywhere!</h3>
		<img src="https://place-puppy.com/450x450">
			<ol id="bootcamp-learning-list">
<!-- class can be used to add stylings to elements with the same class. Unlike id, it can be implemented to multiple elements -->
				<li class="offering-item">Day Class</li>
				<li class="offering-item">Night Class</li>
				<li class="offering-item">Intro to Coding Events</li>
			</ol>
<!-- 
		when assigning id as href, the user will navigate to that part 
-->
		<a href="#top">Back to Top</a>
	</section>

	<section id="register">
		<h2>Register</h2>
		<form>
			<label for="firstname">First Name:</label>
			<input type="text" name="firstname" id="firstname" required autocomplete>

			<label for="lastname">Last Name:</label>
			<input type="text" name="lastname" id="lastname" required autocomplete>

			<label for="emailInput">Email:</label>

			<input type="email" name="email" id="emailInput" required autocomplete>

			<button type="submit">Apply Now!</button>
		</form>
		<a href="#top">Back to Top</a>
	</section>



</body>
</html>